# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Catalyst.pm) perl(Catalyst/Test.pm) perl(Config.pm) perl(Fcntl.pm) perl(FindBin.pm) perl(Moose/Role.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Catalyst-ActionRole-ACL
Version:        0.07
Release:        alt1_2
Summary:        User role-based authorization action class
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Catalyst-ActionRole-ACL/
Source0:        http://www.cpan.org/authors/id/B/BO/BOBTFISH/Catalyst-ActionRole-ACL-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Catalyst/Controller/ActionRole.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Catalyst/Runtime.pm) >= 5.900.130


Source44: import.info

%description
Provides a Catalyst reusable action role for user role-based authorization.
ACLs are applied via the assignment of attributes to application action
subroutines.

%prep
%setup -q -n Catalyst-ActionRole-ACL-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1_2
- update to new release by fcimport

* Mon Sep 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1_1
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_2
- fc import

